@font-face {
	font-family: "Dogica";
	src: url("fonts/dogica.ttf") format("truetype");
}

:root {
	--foreground-color: #00077C;
	--background-color: #000000;
	--text-color: #FFFFFF;
	--border-color: #777777;
}

/* BODY STYLE */

html, body {
	gap: 0px;
	margin: 0px;
	padding: 0px;
	overflow: scroll;
	background-image: url("images/background.png");
	background-attachment: fixed;
	background-repeat: repeat;
	background-size: 72px;
}

/* COMMON STYLES */

* {
	position: relative;
	box-sizing: border-box;
}

a {
	color: #DD00DD;
	text-decoration: none;
}

a:hover {
	cursor: pointer;
	text-shadow:
		0 0 16px currentColor,
		0 0 24px currentColor,
		0 0 32px currentColor,
		0 0 48px currentColor;
}

li {
	list-style: square;
	list-style-position: inside;
}

ul {
	padding: 2px 16px;
	margin: 0px;
	gap: 0px;
}

/* WINDOW STYLES */

.window {
	align-items: center;
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	gap: 8px;
	padding: 16px;
	width: 100%;
}

.row {
	align-items: stretch;
	display: flex;
	flex-direction: row;
	gap: inherit;
	width: 1024px;
}

.widget {
	background-color: var(--background-color);
	border: var(--border-color) 1px solid;
	width: 100%;
}

.title {
	background-color: var(--foreground-color);
	color: var(--text-color);
	font-family: "Dogica";
	font-size: 9pt;
	font-weight: bold;
	padding: 8px;
	text-transform: uppercase;
	width: 100%;
}

.content {
	color: var(--text-color);
	font-family: "Dogica";
	font-size: 12pt;
	line-height: 1.5;
	font-weight: normal;
	padding: 6px;
	width: 100%;
}

/* SPECIFIC STYLES */

.about-me-picture {
	border: var(--border-color) 2px dotted;
	width: 96px;
}

.about-me-username {
	color: #0007CC;
	display: inline;
	font-size: 24pt;
	margin: 0px;
	padding: 0px;
	position: absolute;
	text-shadow:
	 -1px -1px 0 var(--border-color),
		1px -1px 0 var(--border-color),
	 -1px  1px 0 var(--border-color),
		1px  1px 0 var(--border-color);
	translate: 2px -4px;
}

.about-me-text {
	color: #A0A0A0;
	display: inline;
	font-size: 12pt;
	margin: 0px;
	padding: 0px;
	position: absolute;
	translate: 4px 38px;
}

.check-out-button {
	height: 31px;
	width: 88px;
	object-fit: cover;
	background-color: #FFFFFF;
	border: var(--border-color) 2px dotted;
}

.ms-graph {
	margin-top: 8px;
	border: var(--border-color) 2px dotted;
	height: 128px;
	width: 100%;
}

.ms-graph svg {
	height: 100%;
	width: 100%;
}

.city-time-icon {
	width: 1em;
	height: 1em;
  vertical-align: middle;
}
